
<!doctype html PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html><head><title>Python: module yahoo.search.dom.local</title>
</head><body bgcolor="#f0f0f8">

<table width="100%" cellspacing=0 cellpadding=2 border=0 summary="heading">
<tr bgcolor="#7799ee">
<td valign=bottom>&nbsp;<br>
<font color="#ffffff" face="helvetica, arial">&nbsp;<br><big><big><strong><a href="yahoo.html"><font color="#ffffff">yahoo</font></a>.<a href="yahoo.search.html"><font color="#ffffff">search</font></a>.<a href="yahoo.search.dom.html"><font color="#ffffff">dom</font></a>.local</strong></big></big> (version 1.7, Tue Feb 27 16:57:05 MST 2007)</font></td
><td align=right valign=bottom
><font color="#ffffff" face="helvetica, arial"><a href=".">index</a><br><a href="file:/home/leif/hack/pysearch/yahoo/search/dom/local.py">/home/leif/hack/pysearch/yahoo/search/dom/local.py</a></font></td></tr></table>
    <p><tt>DOM&nbsp;parser&nbsp;for&nbsp;Local&nbsp;search&nbsp;results<br>
&nbsp;<br>
Implement&nbsp;a&nbsp;simple&nbsp;DOM&nbsp;parser&nbsp;for&nbsp;the&nbsp;Yahoo&nbsp;Search&nbsp;Web&nbsp;Services<br>
local&nbsp;search&nbsp;APIs.</tt></p>
<p>
<table width="100%" cellspacing=0 cellpadding=2 border=0 summary="section">
<tr bgcolor="#aa55cc">
<td colspan=3 valign=bottom>&nbsp;<br>
<font color="#fffff" face="helvetica, arial"><big><strong>Modules</strong></big></font></td></tr>
    
<tr><td bgcolor="#aa55cc"><tt>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</tt></td><td>&nbsp;</td>
<td width="100%"><table width="100%" summary="list"><tr><td width="25%" valign=top><a href="yahoo.search.dom.html">yahoo.search.dom</a><br>
</td><td width="25%" valign=top><a href="yahoo.search.parser.html">yahoo.search.parser</a><br>
</td><td width="25%" valign=top></td><td width="25%" valign=top></td></tr></table></td></tr></table><p>
<table width="100%" cellspacing=0 cellpadding=2 border=0 summary="section">
<tr bgcolor="#ee77aa">
<td colspan=3 valign=bottom>&nbsp;<br>
<font color="#ffffff" face="helvetica, arial"><big><strong>Classes</strong></big></font></td></tr>
    
<tr><td bgcolor="#ee77aa"><tt>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</tt></td><td>&nbsp;</td>
<td width="100%"><dl>
<dt><font face="helvetica, arial"><a href="yahoo.search.dom.html#DOMResultParser">yahoo.search.dom.DOMResultParser</a>(<a href="yahoo.search.parser.html#ResultParser">yahoo.search.parser.ResultParser</a>)
</font></dt><dd>
<dl>
<dt><font face="helvetica, arial"><a href="yahoo.search.dom.local.html#LocalSearch">LocalSearch</a>
</font></dt></dl>
</dd>
</dl>
 <p>
<table width="100%" cellspacing=0 cellpadding=2 border=0 summary="section">
<tr bgcolor="#ffc8d8">
<td colspan=3 valign=bottom>&nbsp;<br>
<font color="#000000" face="helvetica, arial"><a name="LocalSearch">class <strong>LocalSearch</strong></a>(<a href="yahoo.search.dom.html#DOMResultParser">yahoo.search.dom.DOMResultParser</a>)</font></td></tr>
    
<tr bgcolor="#ffc8d8"><td rowspan=2><tt>&nbsp;&nbsp;&nbsp;</tt></td>
<td colspan=2><tt><a href="#LocalSearch">LocalSearch</a>&nbsp;-&nbsp;DOM&nbsp;parser&nbsp;for&nbsp;Local&nbsp;Search<br>
&nbsp;<br>
This&nbsp;subclass&nbsp;of&nbsp;the&nbsp;SearchParser&nbsp;extends&nbsp;the&nbsp;parser&nbsp;with&nbsp;support&nbsp;for<br>
the&nbsp;Result&nbsp;Set&nbsp;Map&nbsp;Url.&nbsp;This&nbsp;adds&nbsp;an&nbsp;extra&nbsp;attribute<br>
&nbsp;<br>
&nbsp;&nbsp;&nbsp;&nbsp;results.result_set_map_url<br>
&nbsp;<br>
This&nbsp;attribute&nbsp;holds&nbsp;a&nbsp;URL&nbsp;pointing&nbsp;to&nbsp;a&nbsp;Yahoo&nbsp;Locals&nbsp;map&nbsp;with&nbsp;all&nbsp;the<br>
results&nbsp;shown&nbsp;on&nbsp;the&nbsp;map.<br>
&nbsp;<br>
Each&nbsp;result&nbsp;is&nbsp;a&nbsp;dictionary&nbsp;populated&nbsp;with&nbsp;the&nbsp;extracted&nbsp;data&nbsp;from&nbsp;the<br>
XML&nbsp;results.&nbsp;The&nbsp;following&nbsp;keys&nbsp;are&nbsp;always&nbsp;available:<br>
&nbsp;<br>
&nbsp;&nbsp;&nbsp;&nbsp;Title&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;-&nbsp;Name&nbsp;of&nbsp;the&nbsp;result.<br>
&nbsp;&nbsp;&nbsp;&nbsp;Address&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;-&nbsp;Street&nbsp;address&nbsp;of&nbsp;the&nbsp;result.<br>
&nbsp;&nbsp;&nbsp;&nbsp;City&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;-&nbsp;City&nbsp;in&nbsp;which&nbsp;the&nbsp;result&nbsp;is&nbsp;located.<br>
&nbsp;&nbsp;&nbsp;&nbsp;State&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;-&nbsp;State&nbsp;in&nbsp;which&nbsp;the&nbsp;result&nbsp;is&nbsp;located.<br>
&nbsp;&nbsp;&nbsp;&nbsp;Phone&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;-&nbsp;Phone&nbsp;number&nbsp;of&nbsp;the&nbsp;business,&nbsp;if&nbsp;known.<br>
&nbsp;&nbsp;&nbsp;&nbsp;Latitude&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;-&nbsp;The&nbsp;latitude&nbsp;of&nbsp;the&nbsp;location.<br>
&nbsp;&nbsp;&nbsp;&nbsp;Longitude&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;-&nbsp;The&nbsp;longitude&nbsp;of&nbsp;the&nbsp;location.<br>
&nbsp;&nbsp;&nbsp;&nbsp;Distance&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;-&nbsp;The&nbsp;distance&nbsp;to&nbsp;the&nbsp;business&nbsp;or&nbsp;service.<br>
&nbsp;&nbsp;&nbsp;&nbsp;Url&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;-&nbsp;The&nbsp;URL&nbsp;for&nbsp;the&nbsp;local&nbsp;file&nbsp;or&nbsp;stream.<br>
&nbsp;&nbsp;&nbsp;&nbsp;ClickUrl&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;-&nbsp;The&nbsp;URL&nbsp;for&nbsp;linking&nbsp;to&nbsp;the&nbsp;detailed&nbsp;page.<br>
&nbsp;&nbsp;&nbsp;&nbsp;MapUrl&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;-&nbsp;The&nbsp;URL&nbsp;of&nbsp;a&nbsp;map&nbsp;for&nbsp;the&nbsp;address.<br>
&nbsp;&nbsp;&nbsp;&nbsp;Categories&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;-&nbsp;Contains&nbsp;all&nbsp;the&nbsp;categories&nbsp;in&nbsp;which&nbsp;this<br>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;listing&nbsp;is&nbsp;classified.<br>
&nbsp;<br>
The&nbsp;following&nbsp;attributes&nbsp;are&nbsp;optional,&nbsp;and&nbsp;might&nbsp;not&nbsp;be&nbsp;set:<br>
&nbsp;<br>
&nbsp;&nbsp;&nbsp;&nbsp;Rating&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;-&nbsp;Rating&nbsp;information&nbsp;(see&nbsp;below)<br>
&nbsp;&nbsp;&nbsp;&nbsp;BusinessUrl&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;-&nbsp;The&nbsp;URL&nbsp;fo&nbsp;the&nbsp;business&nbsp;website,&nbsp;if&nbsp;known.<br>
&nbsp;&nbsp;&nbsp;&nbsp;BusinessClickUrl&nbsp;-&nbsp;The&nbsp;URL&nbsp;for&nbsp;linking&nbsp;to&nbsp;the&nbsp;business&nbsp;website,<br>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;if&nbsp;known.<br>
&nbsp;<br>
The&nbsp;Rating&nbsp;dictionary&nbsp;contains&nbsp;the&nbsp;following&nbsp;keys:<br>
&nbsp;<br>
&nbsp;&nbsp;&nbsp;&nbsp;AverageRating&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;-&nbsp;Average&nbsp;score&nbsp;of&nbsp;end-user&nbsp;ratings&nbsp;for&nbsp;the<br>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;business&nbsp;or&nbsp;service.&nbsp;<br>
&nbsp;&nbsp;&nbsp;&nbsp;TotalRatings&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;-&nbsp;The&nbsp;total&nbsp;number&nbsp;of&nbsp;ratings&nbsp;submitted&nbsp;for<br>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;the&nbsp;business&nbsp;or&nbsp;service.<br>
&nbsp;&nbsp;&nbsp;&nbsp;TotalReviews&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;-&nbsp;The&nbsp;total&nbsp;number&nbsp;of&nbsp;reviews&nbsp;submitted&nbsp;for<br>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;the&nbsp;business&nbsp;or&nbsp;service.&nbsp;Reviews&nbsp;can&nbsp;be&nbsp;viewed<br>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;at&nbsp;the&nbsp;location&nbsp;pointed&nbsp;to&nbsp;by&nbsp;the&nbsp;ClickUrl&nbsp;tag.<br>
&nbsp;&nbsp;&nbsp;&nbsp;LastReviewDate&nbsp;&nbsp;&nbsp;&nbsp;-&nbsp;The&nbsp;date&nbsp;of&nbsp;the&nbsp;last&nbsp;review&nbsp;submitted&nbsp;for&nbsp;the<br>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;business&nbsp;or&nbsp;service&nbsp;unix&nbsp;timestamp&nbsp;format.&nbsp;<br>
&nbsp;&nbsp;&nbsp;&nbsp;LastReviewIntro&nbsp;&nbsp;&nbsp;-&nbsp;The&nbsp;first&nbsp;few&nbsp;words&nbsp;of&nbsp;the&nbsp;last&nbsp;review<br>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;submitted&nbsp;for&nbsp;the&nbsp;business&nbsp;or&nbsp;service.<br>
&nbsp;<br>
Categories&nbsp;is&nbsp;a&nbsp;list&nbsp;of&nbsp;tuples&nbsp;with<br>
&nbsp;<br>
&nbsp;&nbsp;&nbsp;&nbsp;Name&nbsp;&nbsp;&nbsp;-&nbsp;Textual&nbsp;"name"&nbsp;value<br>
&nbsp;&nbsp;&nbsp;&nbsp;Id&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;-&nbsp;Unique&nbsp;identifier&nbsp;(internal&nbsp;yahoo&nbsp;ID).<br>
&nbsp;&nbsp;&nbsp;&nbsp;<br>
&nbsp;<br>
Example:<br>
&nbsp;&nbsp;&nbsp;&nbsp;results&nbsp;=&nbsp;ws.<a href="#LocalSearch-parse_results">parse_results</a>()<br>
&nbsp;&nbsp;&nbsp;&nbsp;for&nbsp;res&nbsp;in&nbsp;results:<br>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;print&nbsp;"%s&nbsp;&nbsp;is&nbsp;%s&nbsp;%s&nbsp;away"&nbsp;%&nbsp;(res.Title,&nbsp;res.Distance[0],<br>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;res.Distance[1])<br>&nbsp;</tt></td></tr>
<tr><td>&nbsp;</td>
<td width="100%"><dl><dt>Method resolution order:</dt>
<dd><a href="yahoo.search.dom.local.html#LocalSearch">LocalSearch</a></dd>
<dd><a href="yahoo.search.dom.html#DOMResultParser">yahoo.search.dom.DOMResultParser</a></dd>
<dd><a href="yahoo.search.parser.html#ResultParser">yahoo.search.parser.ResultParser</a></dd>
<dd><a href="__builtin__.html#object">__builtin__.object</a></dd>
</dl>
<hr>
Methods defined here:<br>
<dl><dt><a name="LocalSearch-__init__"><strong>__init__</strong></a>(self, service, res_dict<font color="#909090">=&lt;class 'yahoo.search.parser.ResultDict'&gt;</font>)</dt></dl>

<dl><dt><a name="LocalSearch-parse_results"><strong>parse_results</strong></a>(self, dom_object)</dt><dd><tt>Specialized&nbsp;DOM&nbsp;parser&nbsp;for&nbsp;<a href="#LocalSearch">LocalSearch</a>,&nbsp;to&nbsp;allow&nbsp;for&nbsp;the&nbsp;Map<br>
URL&nbsp;in&nbsp;the&nbsp;result.</tt></dd></dl>

<hr>
Data descriptors defined here:<br>
<dl><dt><strong>ResultSetMapUrl</strong></dt>
<dd><tt>The&nbsp;Yahoo&nbsp;Locals&nbsp;map&nbsp;with&nbsp;all&nbsp;the&nbsp;results</tt></dd>
</dl>
<dl><dt><strong>result_set_map_url</strong></dt>
<dd><tt>The&nbsp;Yahoo&nbsp;Locals&nbsp;map&nbsp;with&nbsp;all&nbsp;the&nbsp;results</tt></dd>
</dl>
<hr>
Methods inherited from <a href="yahoo.search.parser.html#ResultParser">yahoo.search.parser.ResultParser</a>:<br>
<dl><dt><a name="LocalSearch-__iter__"><strong>__iter__</strong></a>(self)</dt></dl>

<hr>
Data descriptors inherited from <a href="yahoo.search.parser.html#ResultParser">yahoo.search.parser.ResultParser</a>:<br>
<dl><dt><strong>__dict__</strong></dt>
<dd><tt>dictionary&nbsp;for&nbsp;instance&nbsp;variables&nbsp;(if&nbsp;defined)</tt></dd>
</dl>
<dl><dt><strong>__weakref__</strong></dt>
<dd><tt>list&nbsp;of&nbsp;weak&nbsp;references&nbsp;to&nbsp;the&nbsp;object&nbsp;(if&nbsp;defined)</tt></dd>
</dl>
<dl><dt><strong>firstResultPosition</strong></dt>
<dd><tt>The&nbsp;first&nbsp;result&nbsp;position</tt></dd>
</dl>
<dl><dt><strong>first_result_position</strong></dt>
<dd><tt>The&nbsp;first&nbsp;result&nbsp;position</tt></dd>
</dl>
<dl><dt><strong>results</strong></dt>
<dd><tt>The&nbsp;list&nbsp;of&nbsp;all&nbsp;results</tt></dd>
</dl>
<dl><dt><strong>service</strong></dt>
<dd><tt>The&nbsp;Search&nbsp;Web&nbsp;Service&nbsp;object&nbsp;for&nbsp;this&nbsp;results&nbsp;parser</tt></dd>
</dl>
<dl><dt><strong>totalResultsAvailable</strong></dt>
<dd><tt>Total&nbsp;number&nbsp;of&nbsp;results&nbsp;for&nbsp;the&nbsp;query</tt></dd>
</dl>
<dl><dt><strong>totalResultsReturned</strong></dt>
<dd><tt>The&nbsp;number&nbsp;of&nbsp;results&nbsp;returned</tt></dd>
</dl>
<dl><dt><strong>total_results_available</strong></dt>
<dd><tt>Total&nbsp;number&nbsp;of&nbsp;results&nbsp;for&nbsp;the&nbsp;query</tt></dd>
</dl>
<dl><dt><strong>total_results_returned</strong></dt>
<dd><tt>The&nbsp;number&nbsp;of&nbsp;results&nbsp;returned</tt></dd>
</dl>
</td></tr></table></td></tr></table><p>
<table width="100%" cellspacing=0 cellpadding=2 border=0 summary="section">
<tr bgcolor="#55aa55">
<td colspan=3 valign=bottom>&nbsp;<br>
<font color="#ffffff" face="helvetica, arial"><big><strong>Data</strong></big></font></td></tr>
    
<tr><td bgcolor="#55aa55"><tt>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</tt></td><td>&nbsp;</td>
<td width="100%"><strong>__author__</strong> = 'Leif Hedstrom &lt;leif@ogre.com&gt;'<br>
<strong>__date__</strong> = 'Tue Feb 27 16:57:05 MST 2007'<br>
<strong>__revision__</strong> = '$Id: local.py,v 1.7 2007/02/28 05:20:11 zwoop Exp $'<br>
<strong>__version__</strong> = '$Revision: 1.7 $'</td></tr></table><p>
<table width="100%" cellspacing=0 cellpadding=2 border=0 summary="section">
<tr bgcolor="#7799ee">
<td colspan=3 valign=bottom>&nbsp;<br>
<font color="#ffffff" face="helvetica, arial"><big><strong>Author</strong></big></font></td></tr>
    
<tr><td bgcolor="#7799ee"><tt>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</tt></td><td>&nbsp;</td>
<td width="100%">Leif&nbsp;Hedstrom&nbsp;&lt;leif@ogre.com&gt;</td></tr></table>
</body></html>